Summary:        Utility like top(1) for displaying virtualization stats
Name:           virt-top
Version:        1.1.1
Release:        5%{?dist}
License:        GPLv2+
URL:            https://people.redhat.com/~rjones/virt-top/
Source0:        https://people.redhat.com/~rjones/virt-top/files/%{name}-%{version}.tar.gz
Source1:        processcsv.py
Source2:        processcsv.py.pod

Patch3000:      virt-top-1.0.9-processcsv-documentation.patch

BuildRequires: libxml2-devel perl-interpreter perl(Pod::Perldoc) gawk
BuildRequires: ocaml-fileutils-devel gettext libvirt-devel
BuildRequires: ocaml-calendar-devel ocaml-libvirt-devel >= 0.6.1.5 ocaml-gettext-devel >= 0.3.3
BuildRequires: ocaml-ocamldoc ocaml-findlib-devel ocaml-curses-devel >= 1.0.3-7
BuildRequires: gcc make ocaml >= 3.10.2

ExcludeArch:    %{power64}

%description
virt-top is a 'top(1)'-like utility for showing stats of virtualized
domains.  Many keys and command line options are the same as for
ordinary 'top'.

It uses libvirt so it is capable of showing stats across a variety of
different virtualization systems.


%prep
%autosetup -p1



%build
%configure
make

rm -f src/virt-top.1
make -C src virt-top.1

pod2man -c "Virtualization Support" --release "%{name}-%{version}" \
  %{SOURCE2} > processcsv.py.1


%install
%make_install

%find_lang %{name}

mkdir -p %{buildroot}%{_mandir}/man1
install -m0755 %{SOURCE1} %{buildroot}%{_bindir}
install -m0644 src/virt-top.1 %{buildroot}%{_mandir}/man1
install -m0644 processcsv.py.1 %{buildroot}%{_mandir}/man1/


%files -f %{name}.lang
%license COPYING
%doc README TODO
%{_bindir}/virt-top
%{_bindir}/processcsv.py
%{_mandir}/man1/virt-top.1*
%{_mandir}/man1/processcsv.py.1*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 08 2023 cunshunxia <cunshunxia@tencent.com> - 1.1.1-4
- Rebuilt for ocaml-findlib 1.9.6

* Wed Jul 19 2023 Miaojun Dong <zoedong@tencent.com> - 1.1.1-3
- Rebuild for libvirt-9.4.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Mar 30 2023 cunshunxia <cunshunxia@tencent.com> - 1.1.1-1
- initial build
